curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key for authenticating the request
Example
<API_KEY>Filters scheduled actions by the specified location.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the response
object
Unique identifier of the scheduled action
Identifier tag for the scheduled action
Type of the scheduled action
Type of scheduled action
Type of ending condition for the scheduled action
The scheduled action’s end date and time.
The scheduled start time of the action in UTC.
Type of recurrence for the scheduled action
Period between repeated executions, expressed as a numeric string
Current status of the scheduled action
object
Status message indicating the result of the request
Example
{ "code": 200, "data": [ { "id": 384, "action_tag": "periodic-daily-on", "scheduled_type": "periodic", "action_type": "reboot", "end_type": "on", "end_value": "August 19, 2025, 12:00 PM", "start_time": "2025-08-18T18:59:00Z", "repeat_type": "daily", "repeat_period": "24", "status": "pending" } ], "message": "Success"}